<template lang="pug">
ul.list-group.list-group-flush.x-mat-setup-mat
  BaseAnimationBlock
    li.list-group-item.justify-content-center.d-flex(v-if='loading' key='loading')
      i.align-bottom.fa.fa-spinner.fa-pulse
  li.list-group-item.x-filters(v-show='!loading')
    h5 Filters
    BaseAnimationGroup.row
      .col-12.d-flex.justify-content-between.rounded.hover-bg-light.x-row(:key='row.id' v-for='row in filter')
        router-link.pl-2.text-primary.text-truncate(:to='getRoute(`/materials/${row.id}`)') {{ row.title }}
        div(v-if='row.position > 0 && (!isAdmin || !inEdit)')
          .badge.badge-secondary(title='position') {{ row.position }}
          .badge.align-self-center.ml-1.x-inout-badge(:class='stateClass(row.status)') {{ row.status ? 'IN' : 'OUT' }}
        div.d-flex(v-if='inEdit && isAdmin')
          input.mr-1.x-position(@input='setPosition("filter", row.id, $event.data)' type='number' min='1' max='8' title='position' :value="row.position" :inEdit='true')
          BaseToggle.mr-1.x-status(@edit='setStatus("filter", row.id, $event)' :value='!!row.status' title='status' :inEdit='true')
          button.btn.btn-outline-danger.btn-sm(@click='remove("filter", row.id)' title='Remove Filter')
            i.fa.fa-trash
    .d-flex.justify-content-end(v-if='inEdit && isAdmin')
      button.btn.btn-primary.btn-sm.mt-1(@click='add("filter")' title='Add Filter')
        i.fa.fa-plus-square
  li.list-group-item.x-samples(v-show='!loading')
    h5 Samples
    BaseAnimationGroup.row
      .col-12.d-flex.justify-content-between.rounded.hover-bg-light.x-row(:key='row.id' v-for='row in sample')
        router-link.pl-2.text-primary.text-truncate(:to='getRoute(`/materials/${row.id}`)') {{ row.title }}
        div(v-if='row.position > 0 && (!isAdmin || !inEdit)')
          .badge.badge-secondary(title='position') {{ row.position }}
          .badge.align-self-center.ml-1.badge-primary.x-inout-badge(v-if='row.status') IN
        div.d-flex(v-if='inEdit && isAdmin')
          input.mr-1.x-position(@input='setPosition("sample", row.id, $event.data)' type='number' min='1' max='8' title='position' :value="row.position" :inEdit='true')
          BaseToggle.mr-1.x-status(@edit='setStatus("sample", row.id, $event)' :value='!!row.status' title='status' :inEdit='true')
          button.btn.btn-outline-danger.btn-sm(@click='remove("sample", row.id)' title='Remove Sample')
            i.fa.fa-trash
    .d-flex.justify-content-end(v-if='inEdit && isAdmin')
      button.btn.btn-primary.btn-sm.mt-1(@click='add("sample")' title='Add Sample')
        i.fa.fa-plus-square
  li.list-group-item.x-sources(v-show='!loading')
    h5 Sources
    BaseAnimationGroup.row
      .col-12.d-flex.justify-content-between.rounded.hover-bg-light.x-row(:key='row.id' v-for='row in source')
        router-link.pl-2.text-primary.text-truncate(:to='getRoute(`/materials/${row.id}`)') {{ row.title }}
        div.d-flex(v-if='inEdit && isAdmin')
          button.btn.btn-outline-danger.btn-sm(@click='remove("source", row.id)' title='Remove Source')
            i.fa.fa-trash
    .d-flex.justify-content-end(v-if='inEdit && isAdmin')
      button.btn.btn-primary.btn-sm.mt-1(@click='add("source")' title='Add Source')
        i.fa.fa-plus-square
    AddMaterialDialog(ref='addDialog' :ids='ids')
</template>
<script>

export { default } from './MaterialsSetupMaterials.vue.js';

</script>
<style lang='scss'>
.x-mat-setup-mat {
  input {
    width: 3rem;
  }
  .x-inout-badge {
    min-width: 3em;
  }
}
</style>
